{% if settings.TUXSUITE_PROJECT != "ewaol" %}

# report metrics for first boot
- test:
    timeout:
      minutes: 5
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: systemd-report-boot-time
          description: "Report systemd boot-time"
        run:
          steps:
          - lava-report-systemd-metrics.sh
      from: inline
      name: systemd-metrics-first-boot
      path: systemd-metrics-first-boot

# trigger and wait for reboot
- test:
    timeout:
      minutes: 5
      skip: false
    interactive:
    - name: reboot
      prompts:
        - root@(.*):[/~]#
      echo: discard
      script:
      - name: reboot-for-second-measurement
        command: 'reboot'
- boot:
    timeout:
      minutes: 20
    method: minimal
    reset: false
    auto_login:
      login_prompt: 'login:'
      username: "root"
      login_commands:
        - sudo su -
    prompts:
      - .*root@(.*):[/~]#

# report metrics for second boot
- test:
    timeout:
      minutes: 5
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: systemd-report-boot-time
          description: "Report systemd boot-time"
        run:
          steps:
          - lava-report-systemd-metrics.sh
      from: inline
      name: systemd-metrics-second-boot
      path: systemd-metrics-second-boot

{% endif %}
